#include <bits/stdc++.h>

using namespace std;

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL); cout.tie(NULL);
	
	long long x1, y1, x2, y2;
	
	cin >> x1 >> y1;
	cin >> x2 >> y2;
	
	if(x1 == x2 || y1 == y2) cout << "2";
	else 
	{
		long long x, y;
		
		if(x1 * x2 > 0) x = abs(x1 - x2);
		else x = abs(x1) + abs(x2);
		
		if(y1 * y2 > 0) y = abs(y1 - y2);
		else y = abs(y1) + abs(y2);
		
		if(x == y) cout << "1";
		else cout << "0";
	}
	return 0;
}